Forge Home

lamp

LAMP Stack using Apache and PHP5

10,334 downloads

9,604 latest version

4.0 quality score

We run a couple of automated
scans to help you access a
module's quality. Each module is
given a score based on how well
the author has formatted their
code and documentation and
modules are also checked for
malware using VirusTotal.

Please note, the information below
is for guidance only and neither of
these methods should be considered
an endorsement by Puppet.

Version information

  • 1.1.0 (latest)
  • 1.0.9 (deleted)
  • 1.0.8 (deleted)
  • 1.0.7 (deleted)
  • 1.0.6 (deleted)
  • 1.0.5 (deleted)
  • 1.0.4 (deleted)
  • 1.0.3 (deleted)
  • 1.0.2 (deleted)
  • 1.0.1 (deleted)
  • 1.0.0 (deleted)
released May 25th 2015
This version is compatible with:

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'darkmantle-lamp', '1.1.0'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add darkmantle-lamp
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install darkmantle-lamp --version 1.1.0

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

darkmantle/lamp — version 1.1.0 May 25th 2015

Darkmantle Puppet: LAMP

This is the LAMP module in my series of WebDev Puppet Configurations

Installation

Puppet

puppet module install darkmantle-lamp

Git Submodule

git submodule add https://github.com/darkmantle/puppet-lamp.git modules/lamp

Usage

Default setup

Create a manifest that has the following code:

Exec {
  path => ["/usr/bin", "/bin", "/usr/sbin", "/sbin", "/usr/local/bin", "/usr/local/sbin"]
}

include lamp::apache
include lamp::php
# default root password is 'password'
include lamp::mysql
include lamp::phpmyadmin

exec {"apt-get update":
  command => "apt-get update"
}

Setup with custom PHP5 packages or root MySQL password

Exec {
  path => ["/usr/bin", "/bin", "/usr/sbin", "/sbin", "/usr/local/bin", "/usr/local/sbin"]
}

include lamp::apache
include lamp::phpmyadmin
include lamp::mysql

# Note: only installs packages that begin with php5-
class { 'lamp::php':
    php5Packages => ['list','of','packages']
}

class { 'lamp':
    rootPassword => 'YOUR-PASSWORD-HERE'
}

exec {"apt-get update":
  command => "apt-get update"
}

### Creating a MySQL Database & User
```puppet
Exec {
  path => ["/usr/bin", "/bin", "/usr/sbin", "/sbin", "/usr/local/bin", "/usr/local/sbin"]
}

include lamp::apache
include lamp::phpmyadmin
include lamp::mysql
include lamp::php

lamp::db {'database-name':
    user => 'user',
    password => 'password'
}